Subject: Re: [PATCH] mlx4_en: map entire pages to increase throughput

From: Rick Jones <[email-masked]>
Date: Tue, 17 Jul 2012 11:17:46 -0700

On 07/16/2012 10:29 PM, David Miller wrote:
> From: Rick Jones <[email-masked]>
> Date: Mon, 16 Jul 2012 10:27:57 -0700
>
>> That seems rather extraordinarily low - Power7 is supposed to be a
>> rather high performance CPU.  The last time I noticed O(3Gbit/s) on
>> 10G for bulk transfer was before the advent of LRO/GRO - that was in
>> the x86 space though.  Is mapping really that expensive with Power7?
>
> Unfortunately, IOMMU mappings are incredibly expensive.  I see effects
> like this on Sparc too.

OK, so that has caused some dimm memory to get a small refresh - it ends 
up being akin to if not actually a PIO yes?  I recall schemes in drivers 
in other stacks whereby "small" packets were copied because it was 
cheaper to allocate/copy then it was to remap.

rick jones